%define gi_major	3.0
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global libhandy_version 1.5.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	The Eye of GNOME image viewer
Name:		eog
Version:	44.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
URL:		https://www.gnome.org/projects/eog/
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(exempi-2.0) >= 1.99.5
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.4.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 2.91.92
BuildRequires:	pkgconfig(gthread-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.4
BuildRequires:	pkgconfig(gtk+-unix-print-3.0) >= 3.5.4
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libexif) >= 0.6.14
BuildRequires:	pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.4
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.4
BuildRequires:	pkgconfig(libportal-gtk3)
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.36.2
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0
BuildRequires:	pkgconfig(shared-mime-info) >= 0.20
BuildRequires:	pkgconfig(x11)
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	gi-docgen
BuildRequires:	libxml2-utils
BuildRequires:	intltool >= 0.40.0
BuildRequires:	desktop-file-utils

Requires:	adwaita-icon-theme

Recommends:	librsvg

%description
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.eog.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/eog
%{_datadir}/icons/hicolor/*/*/*
%{_metainfodir}/eog.appdata.xml
%dir %{_libdir}/eog
%dir %{_libdir}/eog/plugins
%{_libdir}/eog/plugins/fullscreen.plugin
%{_libdir}/eog/plugins/reload.plugin
%{_libdir}/eog/plugins/statusbar-date.plugin
%{_libdir}/eog/plugins/*.so*
%{_libdir}/eog/lib%{name}.so

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %name
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %name.

%files -n %{girname}
%{_libdir}/eog/girepository-1.0/Eog-%{gi_major}.typelib

#--------------------------------------------------------------------

%package devel
Group:		Development/C
Summary:	C headers needed to build EOG plugins
Requires:	%{name} = %{version}-%{release}

%description devel
This is the Eye of Gnome, an image viewer program. It is meant
to be a fast and functional image viewer as well as an image
cataloging program. It does proper handling of large images and
images with full opacity information, and can zoom and scroll
images quickly while keeping  memory usage constant.

Install this if you want to build EOG plugins.

%files devel
%doc %{_datadir}/gtk-doc/html/eog
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

desktop-file-install --vendor="" \
	--add-category=Graphics \
	--add-category=2DGraphics \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome

%check
%meson_test



%changelog
* Sat Jun 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1960698
- new version 44.2

* Mon Apr 24 2023 neoclust <neoclust> 44.1-1.mga9
+ Revision: 1954660
- New version 44.1

* Fri Apr 21 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953864
- update to 44.0

* Sat Oct 22 2022 ovitters <ovitters> 43.1-1.mga9
+ Revision: 1898551
- new version 43.1

* Wed Sep 21 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891062
- Update to 43.0

* Sat Aug 06 2022 ovitters <ovitters> 42.3-1.mga9
+ Revision: 1875650
- new version 42.3

* Sat May 28 2022 ovitters <ovitters> 42.2-1.mga9
+ Revision: 1860616
- new version 42.2
- new version 42.1

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801638
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 42~rc-1.mga9
+ Revision: 1794464
- Update to 42.rc

* Mon Jan 10 2022 tv <tv> 41.1-1.mga9
+ Revision: 1767640
- 41.1

* Sat Aug 14 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1741346
- new version 40.3

* Sat Jun 05 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1729810
- new version 40.2

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721517
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709445
- new version 40.0
- new version 3.38.2

* Sat Nov 21 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1648307
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625341
- new version 3.38.0

* Sat Sep 05 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622718
- new version 3.37.92

* Sat Aug 08 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1612019
- new version 3.37.90

* Sun Jul 05 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1602143
- new version 3.37.2

* Thu Jun 11 2020 daviddavid <daviddavid> 3.37.1-1.mga8
+ Revision: 1592466
- new version 3.37.1

* Sat Apr 25 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1572096
- new version 3.36.2
- turn librsvg thumbnailer require into a recommendation
+ danf <danf>
- Switch URLs from http: to https:

* Sat Mar 28 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1562018
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554722
- new version 3.36.0

* Sat Feb 29 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1552464
- new version 3.35.92

* Wed Feb 19 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1542542
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537047
- new version 3.35.91

* Sat Jan 04 2020 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1476568
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450403
- new version 3.34.1

* Mon Sep 16 2019 tv <tv> 3.34.0-2.mga8
+ Revision: 1441868
- rebuild for libpeas

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439112
- new version 3.34.0

* Tue Aug 20 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430603
- new version 3.33.91

* Mon Aug 12 2019 ovitters <ovitters> 3.33.90-3.mga8
+ Revision: 1429047
- rebuild for gnome-desktop

* Wed Aug 07 2019 tv <tv> 3.33.90-2.mga8
+ Revision: 1427962
- rebuild for new libpeas

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427462
- new version 3.33.90

* Tue Jul 02 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1417806
- new version 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392149
- Rebuild with meson 0.50.1

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387198
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374316
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.91-1.mga7
+ Revision: 1372281
- new version 3.31.91

* Sun Jan 13 2019 kekepower <kekepower> 3.28.4-2.mga7
+ Revision: 1356066
- Rebuild for new exempi

* Mon Sep 24 2018 ovitters <ovitters> 3.28.4-1.mga7
+ Revision: 1303558
- new version 3.28.4

* Sun Sep 23 2018 umeabot <umeabot> 3.28.3-2.mga7
+ Revision: 1297610
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 ovitters <ovitters> 3.28.3-1.mga7
+ Revision: 1245026
- new version 3.28.3

* Sat Jul 14 2018 wally <wally> 3.28.2-2.mga7
+ Revision: 1243704
- make devel pkg to require main pkg

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227552
- new version 3.28.2

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216708
- new version 3.28.1

* Mon Mar 19 2018 kekepower <kekepower> 3.28.0-2.mga7
+ Revision: 1210350
- Rebuild for new exempi

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208706
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1206856
- new version 3.27.91

* Tue Feb 20 2018 ovitters <ovitters> 3.27.90-2.mga7
+ Revision: 1203734
- rebuild for gnome-desktop

* Tue Feb 13 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1200911
- switch to meson
- new version 3.27.90
- new version 3.27.3

* Wed Nov 08 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1176610
- new version 3.26.2

* Mon Oct 02 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1164273
- new version 3.26.1

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153030
- new version 3.26.0

* Mon Sep 04 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151232
- new version 3.25.92

* Wed Aug 23 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1143702
- new version 3.25.90

* Mon Apr 10 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096314
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1093975
- new version 3.24.0

* Tue Oct 11 2016 ovitters <ovitters> 3.20.5-1.mga6
+ Revision: 1060248
- new version 3.20.5

* Mon Aug 22 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1047868
- new version 3.20.4

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011653
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000525
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994044
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990659
- new version 3.19.92

* Mon Feb 29 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980983
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961661
- new version 3.19.90

* Fri Feb 12 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 958457
- add patch to fix CVE-2013-7447

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925544
- new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910475
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905282
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905166
- new version 3.19.1

* Mon Nov 09 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 900120
- new version 3.18.1

* Tue Sep 29 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 885008
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879602
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871662
- new version 3.17.91

* Mon Aug 17 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865391
- new version 3.17.90

* Fri Jul 24 2015 sander85 <sander85> 3.17.3-2.mga6
+ Revision: 856911
- Rebuild for new gnome-desktop3

* Mon Jul 20 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 855815
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 839828
- new version 3.17.2

* Tue Jun 09 2015 vaci0 <vaci0> 3.17.1-1.mga6
+ Revision: 822960
-Update to new version 3.17.1
-Update to new version 3.16.2
- Update to new version 3.16.0
- Update new version 3.15.90
- Update new version 3.15.1

* Tue Nov 25 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 799192
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796290
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 743218
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738540
- new version 3.14.1

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731120
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719233
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-3.mga5
+ Revision: 686599
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676935
- new version 3.13.92

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665243
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 655514
- new version 3.13.3

* Thu May 29 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627403
- new version 3.13.2

* Sat May 03 2014 wally <wally> 3.13.1-2.mga5
+ Revision: 619791
- drop gnome-icon-theme build time dep
- change runtime dep from gnome-icon-theme to adwaita-icon-theme

* Wed Apr 30 2014 vaci0 <vaci0> 3.13.1-1.mga5
+ Revision: 619043
- Update to new version 3.13.1

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614128
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608156
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604464
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599209
- new version 3.11.91

* Wed Feb 19 2014 tv <tv> 3.11.90-2.mga5
+ Revision: 594624
- rebuild for new libgnome-desktop

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593924
- new version 3.11.90

* Wed Feb 05 2014 ovitters <ovitters> 3.11.4-1.mga5
+ Revision: 583273
- new version 3.11.4

* Tue Nov 12 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550849
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545212
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500918
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485228
- new version 3.10.0

* Fri Sep 13 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 478731
- new version 3.9.92

* Tue Sep 03 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 474695
- new version 3.9.91

* Mon Sep 02 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 474518
- new version 3.9.90

* Mon Sep 02 2013 ennael <ennael> 3.9.5-2.mga4
+ Revision: 474352
- Rebuild against new gnome-desktop3

* Mon Jul 29 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460678
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.1-1.mga4
+ Revision: 458366
- new version 3.9.1

* Tue May 28 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 429059
- rebuild for new gnome-desktop

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426168
- new version 3.8.2
+ ovitters <ovitters>
- new version 3.7.4

* Fri Jan 11 2013 umeabot <umeabot> 3.7.2-2.mga3
+ Revision: 349699
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 vaci0 <vaci0> 3.7.2-1.mga3
+ Revision: 322214
- Update to version 3.7.2

* Mon Nov 12 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 317239
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306790
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297233
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296237
- new version 3.5.92

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287763
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282706
- update file list
- br libxml2-utils
- br itstool
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 279538
- new version 3.5.4

* Tue Jul 17 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 271972
- new version 3.5.3

* Sun Jul 15 2012 fwang <fwang> 3.5.2-2.mga3
+ Revision: 270958
- rebuild for new gnome-desktop

* Mon Jun 25 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263672
- new version 3.5.2

* Thu Jun 07 2012 juancho <juancho> 3.5.1-1.mga3
+ Revision: 256747
- Updated to 3.5.1

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231132
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226947
- drop patch 1 (merged upstream)
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225438
- add patch to fix te translation
- add categories wanted by desktop-file-validate
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220302
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211323
- new version 3.3.90

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205759
- new version 3.3.5

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197102
- new version

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184598
- new version 3.3.3

* Tue Nov 22 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170746
- new version 3.3.2

* Wed Nov 16 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 168102
- new version 3.2.2

* Thu Nov 10 2011 wally <wally> 3.2.1-3.mga2
+ Revision: 166197
- make main pkg to require gir typelib (mga#3302)
- drop unneeded post and preun scripts, handled nowadays by filetriggers
- add more configure options to ensure correct build

* Wed Nov 09 2011 colin <colin> 3.2.1-2.mga2
+ Revision: 165706
- Fix issue with glib2-2.31.0 and thread locking. bgo#662630

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156051
- new version 3.2.1

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149014
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145768
- new version 3.1.92

* Tue Sep 06 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 139552
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136740
- new version 3.1.90
+ wally <wally>
- new version 3.1.5
- new version 3.1.4
- clean BRs and use pkgconfig() style if possible
- clean .spec a bit

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.2-2.mga2
+ Revision: 119867
- Remove wrong requires
- Split gir files of the lib package

* Sun Jul 03 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 117664
- Fix file list
- New version 3.1.2

* Tue Jun 14 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 106308
- Add libpeas-devel as buildrequire
- New version 3.0.2

* Sun Feb 20 2011 wally <wally> 2.32.1-2.mga1
+ Revision: 54503
- drop buildroot definition
- drop old mdv scriptlets
- clean .spec a bit
- imported package eog


* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597841
- update to new version 2.32.1

* Tue Nov 02 2010 Funda Wang <fwang@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 592092
- rebuild for py2.7

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581609
- update to new version 2.32.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578364
- update to new version 2.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574552
- update to new version 2.31.91

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570819
- update to new version 2.31.90

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 2.31.5-1mdv2011.0
+ Revision: 566141
- new version
- update deps

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550832
- update to new version 2.30.2

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539447
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528947
- update to new version 2.30.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509949
- update to new version 2.29.91

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 503751
- update to new version 2.29.90

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490510
- rebuild for new libgnome-desktop

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490059
- update to new version 2.29.5

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.29.3-2mdv2010.1
+ Revision: 488751
- rebuilt against libjpeg v8

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 475432
- update to new version 2.29.3

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458837
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446728
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437404
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420757
- update to new version 2.27.91

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.27.90-2mdv2010.0
+ Revision: 416653
- rebuilt against libjpeg v7

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 415694
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 402009
- update to new version 2.27.5

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395920
- update to new version 2.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 386341
- update to new version 2.27.3

* Tue May 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 379905
- update to new version 2.27.2

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374193
- new version

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366953
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356216
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347810
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341259
- update to new version 2.25.91

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336940
- update to new version 2.25.90

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331573
- update build deps
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325314
- update to new version 2.25.4

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 319939
- rebuild for new python

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315777
- update to new version 2.25.3

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 308994
- update to new version 2.25.2
- drop libglade dep

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299527
- update to new version 2.25.1

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295934
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287324
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282910
- new version

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278808
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-2mdv2009.0
+ Revision: 273790
- bump release
- new version

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263670
- New version 2.23.6

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 240056
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4.1-1mdv2009.0
+ Revision: 230965
- new version
- update buildrequires
- update file list

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230532
- new version
- update license
- update buildrequires
- fix buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211686
- new version

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192473
- new version

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 185221
- build with exempi support

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183385
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175062
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 165706
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 151756
- new version
- drop patches

* Thu Jan 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.3-2mdv2008.1
+ Revision: 142729
- Fix BuildRequires to ensure python support is enabled
- Fix project url
- Patch0 (SVN): fix color profile loading from EXIF
- Patch1: fix screen profile reading (GNOME bug #507068)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 131602
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - desktop-file-utils is not needed any more
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 115275
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103629
- new version

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98864
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89347
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79045
- new version
- fix buildrequires

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72380
- new version
- update file list

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 63323
- fix buildrequires
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 50874
- new version
- update deps
- update file list
- new version
- add devel package
- update buildrequires

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32163
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14375
- new version


* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 142146
- new version

* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141419
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 125977
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120046
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112082
- new version
- add icons

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 109553
- glib rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 99079
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 90782
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 87539
- new version

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 85965
- new version

* Sat Oct 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.1.1-1mdv2007.0
+ Revision: 71525
- new version
  update file list
- Import eog

* Sun Oct 01 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0.1-1mdv2007.0
- New release 2.16.0.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- xdg menu
- New release 2.15.4

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- fix buildrequires

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdk
- New release 2.14.2

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- fix installation
- New release 2.12.2

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Sat Apr 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Götz Waschk package) :

* Thu Dec 02 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- fix buildrequires
- New release 2.8.2

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch0 (no longer relevant)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Patch0 : fix printing (Mdk bug #10451)

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix file section
- New release 2.6.1

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz help)

